LZDecoder
Date: 2017-02-08

org.tukaani.xz.lz

## Class LZDecoder

- java.lang.Object
- - org.tukaani.xz.lz.LZDecoder

-     public final class LZDecoder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LZDecoder(int dictSize, byte[] presetDict)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyUncompressed(java.io.DataInputStream inData, int len)`
    `int` | `flush(byte[] out, int outOff)`
    `int` | `getByte(int dist)`
    `int` | `getPos()`
    `boolean` | `hasPending()`
    `boolean` | `hasSpace()`
    `void` | `putByte(byte b)`
    `void` | `repeat(int dist, int len)`
    `void` | `repeatPending()`
    `void` | `reset()`
    `void` | `setLimit(int outMax)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LZDecoder

          public LZDecoder(int dictSize,
                   byte[] presetDict)

  - ### Method Detail

    - #### reset

          public void reset()

    - #### setLimit

          public void setLimit(int outMax)

    - #### hasSpace

          public boolean hasSpace()

    - #### hasPending

          public boolean hasPending()

    - #### getPos

          public int getPos()

    - #### getByte

          public int getByte(int dist)

    - #### putByte

          public void putByte(byte b)

    - #### repeat

          public void repeat(int dist,
                    int len)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### repeatPending

          public void repeatPending()
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### copyUncompressed

          public void copyUncompressed(java.io.DataInputStream inData,
                              int len)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### flush

          public int flush(byte[] out,
                  int outOff)